<template>
    <div class="container checkout">
        <div class="row justify-content-center pt-2">
            <div class="col-md-8">
                <div class="card checkout-address p-4">
                    <div class="d-flex align-items-center justify-content-between w-100">
                        <span class="fs-5">Mã đơn hàng: {{ data.code }}</span>
                        <span class="fs-5 status-des">{{ data.status_des }}</span>
                    </div>
                </div>
                <div class="card checkout-address p-4 mt-3">
                    <div class="d-flex title align-items-center fs-4 pb-3">
                        <i class="fa-solid fa-location-dot"></i>
                        <span class="px-2">Địa Chỉ Nhận Hàng</span>
                    </div>
                    <div class="d-flex align-items-center">
                        <div class="fs-5">
                            <span class="name">
                                {{ data.user.name }}
                            </span>
                            <span> (+84) {{ data.phone }}</span>
                            <span class="fs-5 px-2">
                                {{ data.address }}
                            </span>
                        </div>
                        
                    </div>
                </div>
                <div class="card checkout-address p-4 mt-3">
                    <div class="d-flex title align-items-center fs-4 pb-3">
                        Sản phẩm
                    </div>
                    <div class="checkout-product">
                        <template v-for="(cart,index) in data.order_products" :key="index">
                            <div class="d-flex">
                                <div class="p-3 pe-0">
                                    <img :src="cart.thumbnail" width="100" height="100" alt="">
                                </div>
                                <div class="w-100">
                                    <div class="p-2 d-flex justify-content-between w-100">
                                        <div class="product-name">
                                            <span class="fs-3 fw-600">
                                                {{ cart.product_name }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="d-flex justify-content-between px-2">
                                        <div>
                                            <div class="fs-5">Số lượng: {{ cart.quantity }}</div>
                                            <div class="fs-5 ">Đơn giá: 
                                                <span class="price fs-5">
                                                    {{ new Intl.NumberFormat().format(cart.pay_price) }}
                                                </span>
                                            </div>
                                        </div>
                                        <div class="product-price text-end">
                                            <div class="fs-5">Thành tiền</div>
                                            <div class="fs-4 price">{{ new Intl.NumberFormat().format(cart.pay_price * cart.quantity) }}đ</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="pay-online">
                                <span>Khuyến mại thanh toán</span>
                                <div class="sale-pay">Giảm ngay 5% tối đa 100.000 đồng khi thanh toán online</div>
                            </div>
                        </template>
                    </div>
                </div>
                <div class="card checkout-address mt-3 p-4">
                    <div class="d-flex title align-items-center fs-4 pb-3">
                        <i class="fa-regular fa-credit-card"></i>
                        <span class="px-2">Thanh toán</span>
                    </div>
                    <div class="">
                        <div class="row justify-content-end">
                            <div class="col-5">
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span>
                                        Tổng tiền hàng:
                                    </span>
                                    <span>
                                        {{ new Intl.NumberFormat().format( data.total ) }}đ
                                    </span>
                                </div>
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span>
                                        Khuyến mại:
                                    </span>
                                    <span>
                                        {{ new Intl.NumberFormat().format( data.sale > 0 ? -data.sale : 0 ) }}đ
                                    </span>
                                </div>
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span>
                                        Phí vận chuyển:
                                    </span>
                                    <span>
                                        {{ new Intl.NumberFormat().format( data.ship) }}đ
                                    </span>
                                </div>
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span>
                                        Voucher
                                    </span>
                                    <span>
                                        {{ new Intl.NumberFormat().format( data.voucher_discount > 0 ? - data.voucher_discount  : 0 ) }}đ
                                    </span>
                                </div>
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span>
                                        Phương thức thanh toán:
                                    </span>
                                    <span v-if="data.payment_type == 0">
                                        Thanh toán khi nhận hàng
                                    </span>
                                    <div v-else>
                                        Thanh toán VNPay
                                    </div>
                                </div>
                                <div class="d-flex payment-checkout py-2 justify-content-between">
                                    <span class="fs-5">
                                        Tổng thanh toán:
                                    </span>
                                    <span class="fs-3 price">
                                        {{ new Intl.NumberFormat().format( data.total_pay ) }}đ
                                    </span>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-end">
                            <button v-if="[0,1,7].includes(data.status)" class="btn btn-primary px-5 confirm">
                                Hủy đơn hàng
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'success',
        data(){
            return {
                
            }
        },
        props:{
            data: {
                type: Object,
                required: true
            },
        },
        methods:{
            
        },
        mounted() {
           console.log(this.data);
        }
    }
</script>
<style lang="scss">
.status-des {
    color: #cb1c22;
    font-weight: 600;
}
</style>